#pragma once

#include "BtnST.h"
#include "WinXPButtonST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgWinXPButtonST : public CDialog
{
public:
	CDlgWinXPButtonST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgWinXPButtonST)
	enum { IDD = IDD_WINXPBUTTONST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgWinXPButtonST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgWinXPButtonST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;
	CFont			m_fntFont;

	CWinXPButtonST		m_btnKeyboard[3];

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
